%define module	DateManip
%define version 5.39
%define release 5
Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	distributable
Group:		System Environment/Libraries
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.6.0
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

%files 
%defattr(-,root,root)
%{_mandir}/*/*
%{_prefix}/lib/perl5/site_perl/*/Date/*
%doc HISTORY INSTALL README TODO

%changelog
* Sun Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 5.39-5
- imported from mandrake. Changed file locations, as our rpm macros 
- auto-compress man pages.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.39-4mdk
- Rebuild against the latest perl.
- Remove the hardcoded Vendor and Distribution.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 5.39-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.39-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 5.39-1mdk
- Macroize package
